<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorator="layout/root_layout">
<head>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"/>

<meta charset="utf-8" />
<title>Log In User</title>
</head>
<body>
    <div align="center">
        <h1>Benvenuto/a!</h1>
        <br />
        
        <div align="center" sec:authorize="!isAuthenticated()">
		<a th:href="@{/login}">Log in</a></div>
        
        
        <div align="center" sec:authorize="isAuthenticated()">
        	<form th:action="@{/logout}" method="post">
		  		<span sec:authentication="Name"></span> 
		  		<input class="btn btn-secondary btn-sm" type="submit" value="Logout"/>
			</form>
		
		</div>
    
    <div align="center">    
        <a th:href="@{/paginaPersonale}">Vai alla pagina personale</a></div>
	</div>

</body>
</html>